Bug 968328 - CVE-2013-2104 OpenStack Keystone: Missing expiration check in Keystone PKI token validation [fedora-18]
CVE-2013-2104 OpenStack Keystone: Missing expiration check in Keystone PKI to...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-keystone (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2104
  Show dependency treegraph
 
Reported: 2013-05-29 09:20 EDT by Jan Lieskovsky
Modified: 2013-08-09 13:00 EDT (History)
11 users (show)

See Also:
Fixed In Version: openstack-keystone-2012.2.4-5.fc18
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 13:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-29 09:20:47 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-05-29 09:21:08 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=965852,968328
Comment 2 Alan Pevec 2013-05-29 13:40:48 EDT
Note that fix is in F18 openstack-keystone (Folsom) and in F19 python-keystoneclient (Grizzly).
Should I use this BZ# for both or you prefer to create separate f18/f19 clones?
Comment 3 Jan Lieskovsky 2013-05-30 12:51:00 EDT
(In reply to Alan Pevec from comment #2)
> Note that fix is in F18 openstack-keystone (Folsom) and in F19
> python-keystoneclient (Grizzly).
> Should I use this BZ# for both or you prefer to create separate f18/f19
> clones?

Alan, python-keystoneclient in Fedora-19 has been already updated by Jakub:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=422736

, wasn't it? Or is the above just to have child bug for Bodhi update request?

If so, I would create one for you, just let me know.
Comment 4 Alan Pevec 2013-06-03 13:24:22 EDT
(In reply to Jan Lieskovsky from comment #3)
> Alan, python-keystoneclient in Fedora-19 has been already updated by Jakub:
>   http://koji.fedoraproject.org/koji/buildinfo?buildID=422736
> 
> , wasn't it? Or is the above just to have child bug for Bodhi update request?

Yes, please create new F19/python-keystoneclient clone to push python-keystoneclient-0.2.3-4.fc19 update, I'm changing this one from fedora-all to fedora-18
Comment 5 Jan Lieskovsky 2013-06-04 10:13:48 EDT
(In reply to Alan Pevec from comment #4)
> (In reply to Jan Lieskovsky from comment #3)
> > Alan, python-keystoneclient in Fedora-19 has been already updated by Jakub:
> >   http://koji.fedoraproject.org/koji/buildinfo?buildID=422736
> > 
> > , wasn't it? Or is the above just to have child bug for Bodhi update request?
> 
> Yes, please create new F19/python-keystoneclient clone to push
> python-keystoneclient-0.2.3-4.fc19 update, I'm changing this one from
> fedora-all to fedora-18

python-keystoneclient child bugs for both Fedora Rawhide and Fedora EPEL-6 now created:
  https://bugzilla.redhat.com/show_bug.cgi?id=965852#c11

python-keystoneclient versions in Fedora 17 and Fedora 18 weren't affected by this problem yet.

Let me know if you need anything else.
Comment 6 Fedora Update System 2013-06-12 16:52:44 EDT
openstack-keystone-2012.2.4-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-keystone-2012.2.4-4.fc18
Comment 7 Fedora Update System 2013-06-13 02:11:06 EDT
Package openstack-keystone-2012.2.4-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-keystone-2012.2.4-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10713/openstack-keystone-2012.2.4-4.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-23 01:58:07 EDT
Package openstack-keystone-2012.2.4-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-keystone-2012.2.4-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10713/openstack-keystone-2012.2.4-5.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-08-09 13:00:31 EDT
openstack-keystone-2012.2.4-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.